<?php

/**
 * Part of the Antares package.
 *
 * NOTICE OF LICENSE
 *
 * Licensed under the 3-clause BSD License.
 *
 * This source file is subject to the 3-clause BSD License that is
 * bundled with this package in the LICENSE file.
 *
 * @package    Logger
 * @version    0.9.0
 * @author     Antares Team
 * @license    BSD License (3-clause)
 * @copyright  (c) 2017, Antares
 * @link       http://antaresproject.io
 */



namespace Antares\Logger\Contracts;

interface ReportListener
{

    /**
     * default controller action
     * 
     * @return \Illuminate\View\View
     */
    public function send();

    /**
     * when sending report of error page failed
     * 
     * @return \Illuminate\Http\RedirectResponse
     */
    public function sendFailed();

    /**
     * when report of error page has been sent successfully
     * 
     * @return \Illuminate\Http\RedirectResponse
     */
    public function sendSuccess();
}
